Subject: Re: [Gforge-admins] PgFoundry Move

From: "Magnus Hagander" <[email-masked]>
Date: Mon, 16 Jan 2006 23:39:34 +0100

> > > My concerns with a plan like this are:
> > > A) I do not know linux as well as FreeBSD.
> >
> > 80% of the Gforge admins are Linux guys afaik, which is why we need 
> > more FreeBSD help.
> 
> Which is why at least 2 more FreeBSD guys (Stefan and myself) 
> were brought into the fold a while back.  I can't speek for 
> Stefan, but I have remained quite on this while I absorb the 
> implementation specifics of the current setup.

Ok. That's good :-)

> > > B) Can infrastructure be provided to allow for timely disaster 
> > > recovery in the event of JD's hosting falling off the face of the 
> > > earth, (much the same way the pg servers in panama fell 
> off a while 
> > > ago).
> >
> > We don't have this *really* in the case of most of the 
> infrastructure, 
> > and this isn't in place for pgFoundry right now with Marc hosting, 
> > afaik.  It is an issue we should be concerned with 
> regardless of who's 
> > hosting.  That and backup.  I've tried to address what's 
> happening (or 
> > not happening as I'm afraid) with backup before.
> 
> Wether we have it today or not is one thing, but making it 
> even harder to do in the future without having a solid plan 
> is even more troublesome in my opinion.

Yeah. The question is more wether it's the right path to move down, if
it's been so hard to get there.

> > Unlike *BSD?  Generally there have been distros like Debian and 
> > Slackware that have been server grade for over 10 years and 
> are solid.  
> > I think the distro of the month is a unwarranted slam from FreeBSD 
> > people who don't see that others see BSD the same way (Free, Net, 
> > Open, etc) just with less choice for their respective communities.  
> > There are lots of Linux distros.  Some are better at the 
> desktop, some 
> > are better at the server.  Coming up with a consensus of 
> what to use 
> > would be pretty easy to do.  That being said, I don't foresee a day 
> > that we'd use Linux just because everything else is running on 
> > FreeBSD.  Being consistent is a good thing.
> 
> For example we raninto an issue here were  we ended up with 
> 100% distro lock-in because of a hardware vendor only 
> providing binary kernel modules for one specific distro and 
> kernel version.  Granted that is not a fault with "linux"  in 
> general, but it did mean I had to support some one ofs where 
> consistency would have been the preferred norm.

Yes, that's generally a big problem - only the commercial distros are
supported by the hw vendors. But AFAIK, few if any of these vendors put
out *ANY* drivers for FreeBSD at all.

But that's turning into a discussion Linux vs FreeBSD on technical
merits. Which is not the point I was making, and I doubt the one others
was. Technically, they're both good. They both have their good and their
bad sides, of course.
The point was one  of resources.

//Magnus

---

From: "Joshua D. Drake" <[email-masked]>
Date: Mon, 16 Jan 2006 14:45:20 -0800

> The point was one  of resources.

Agreed.
> //Magnus
>
> ---------------------------(end of broadcast)---------------------------
> TIP 5: don't forget to increase your free space map settings
>   

-- 
The PostgreSQL Company - Command Prompt, Inc. 1.503.667.4564
PostgreSQL Replication, Consulting, Custom Development, 24x7 support
Managed Services, Shared and Dedicated Hosting
Co-Authors: PLphp, PLperl - http://www.commandprompt.com/

---

From: Darcy Buskermolen <[email-masked]>
Date: Mon, 16 Jan 2006 14:48:59 -0800

> The point was one  of resources.

Which was my point as well, if we want to have more than 1 admin, then we do 
need to discover the path of least resistance over all. This applies to all 
aspects of it, if 95% of our admin base has a strong preference to gentoo 
(example chosen specificly to get JD's blood boiling), because that is what 
they can be proficient in, then it makes sence that we use that.  This choice 
of Linux vs FreeBSD is a small part of that whole evaluation process, if we 
are going to make the leep then we need to make an informed leep, lest we 
leep a second time in the near future for the same or nearly the same 
reasons.

-- 
Darcy Buskermolen
Wavefire Technologies Corp.

http://www.wavefire.com
ph: 250.717.0200
fx: 250.763.1759

---

From: "Joshua D. Drake" <[email-masked]>
Date: Mon, 16 Jan 2006 14:53:43 -0800

>  This applies to all 
> (example chosen specificly to get JD's blood boiling),
;)

>  because that is what 
Well I am fluent in MANY versions of Linux. I was just trying to keep
it reasonable.

Sincerely,

Joshua D. Drake